#include <Application.h>
#include <Messenger.h>
#include <Window.h>
#include <Entry.h>

#include "NewWindow.h"
#include "FindDirectory.h"

#ifndef _FOLDERSHAPER_APP_

class NewApp : public BApplication
{
public:
	NewApp (void);
	~NewApp (void);

	virtual void	ReadyToRun		(void);
	virtual void	MessageReceived	(BMessage	*	a_message);
	virtual void	RefsReceived	(BMessage	*	a_message);
	virtual void	AboutRequested	(void);
	void			Help			(void);

	void			SelectAndEdit	(const entry_ref * a_ref);
	void			LaunchRef		(const entry_ref * a_ref);

	status_t		MakeSettingsFolder		(void);
	status_t		ReadSettings			(void);		
	status_t		SaveSettings			(BMessage * a_message);

	void			NameSafe			(BString	*	a_string);
	void			ErrorMessage		(const char	*	a_text, int32 a_status);



	status_t		CreateTemplatesFolder	(void);
	const char *	TemplatesFolder			(void);
	void			OpenTemplatesFolder		(void);
	void			AddTemplatesMessage		(void);
	
	void			ProcessRefs			(BMessage *	msg);
	void			OriginalProcessRefs	(entry_ref dir_ref);
	
	BDirectory			*	m_tmpl_dir;
	
private:

	bool					m_do_traverse;
	bool					m_do_launch;
	bool					m_do_edit;

	bool					m_got_refs;
	bool					m_stay_open;
	
	BRect					m_winframe;
	NewWindow		*		m_fs_window;
	
};

#define _FOLDERSHAPER_APP_
#endif
