// NewWindow.h
// (C) Jonas Sundström @ Kirilla.com

#include <MenuBar.h>
#include <Bitmap.h>
#include <Menu.h>
#include <MenuItem.h>
#include <Directory.h>

#include "IconMenu.h"

#ifndef __FAVORITE_WINDOW_H__
#define __FAVORITE_WINDOW_H__

class NewWindow : public BWindow
{
public:
					NewWindow		(BRect a_winframe, bool a_do_traverse, 
										 bool a_do_launch, bool a_do_edit, BDirectory * a_tmpl_dir);
					~NewWindow		(void);
	virtual void	MessageReceived 	(BMessage * a_message);
	virtual bool	QuitRequested		(void);

			BPoint	GetMouse			(void);
						
private:
			void	Save				(void);
			void	BuildTemplatesMenu	(void);
			void	EditTemplate		(BMessage * a_message);
			
	BBox		*	topbox;
	
	BMenuBar	*	m_menubar;
	IconMenu	*	m_iconmenu;
	BBitmap		*	m_bitmap;
	
	BMenu		*	m_appmenu;
	BMenu		*	m_settingsmenu;

	BMenuItem	*	m_aboutitem;
	BMenuItem	*	m_quititem;
	BMenuItem	*	m_help_item;

	BCheckBox	*	m_traverse_box;
	BCheckBox	*	m_edit_box;
	BCheckBox	*	m_launch_box;
	
	BDirectory	*	m_tmpl_dir;
};

#endif

